Subject: Re: [PATCH 29/31] MAINTAINERS: Add nds32

From: Joe Perches <[email-masked]>
Date: Tue, 14 Nov 2017 07:39:02 -0800

On Thu, 2017-11-09 at 11:36 +0100, Arnd Bergmann wrote:
> On Thu, Nov 9, 2017 at 10:46 AM, Greentime Hu <[email-masked]> wrote:
> > 2017-11-08 21:31 GMT+08:00 Rob Herring <[email-masked]>:
> > > On Tue, Nov 7, 2017 at 11:55 PM, Greentime Hu <[email-masked]> wrote:
> > > > From: Greentime Hu <[email-masked]>
> > > > 
> > > > Signed-off-by: Greentime Hu <[email-masked]>
> > > > ---
> > > >  MAINTAINERS |    9 +++++++++
> > > >  1 file changed, 9 insertions(+)
> > > > 
> > > > diff --git a/MAINTAINERS b/MAINTAINERS
> > > > index 2f4e462..bce1181 100644
> > > > --- a/MAINTAINERS
> > > > +++ b/MAINTAINERS
> > > > @@ -857,6 +857,15 @@ X: drivers/iio/*/adjd*
> > > >  F:     drivers/staging/iio/*/ad*
> > > >  F:     drivers/staging/iio/trigger/iio-trig-bfin-timer.c
> > > > 
> > > > +ANDES ARCHITECTURE
> > > > +M:     Greentime Hu <[email-masked]>
> > > > +M:     Vincent Chen <[email-masked]>
> > > > +T:     git https://github.com/andestech/linux.git
> > > > +S:     Supported
> > > > +F:     arch/nds32
> > > 
> > > DT binding files?
> > 
> > Thanks.
> > I should add
> > F:    Documentation/devicetree/bindings/interrupt-controller/andestech,ativic32.txt
> > F:    Documentation/devicetree/bindings/nds32/cpus.txt
> > 
> > I will fix it in the next version patch.
> 
> Better make the second one the directory, in case you add more files
> there later.
> 
> I would also add a "K: nds32" line to catch all files that have this
> in their names.

That's probably not what would be desired

K: looks for keywords inside all file contents
N: looks for filenames matching a regex pattern

See the header in MAINTAINERS for more details